# Class: DuplicateKey

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/duplicate_key.coffee

## Variables Summary

rule =

      {

        /*
        I don't know of any legitimate reason to define duplicate keys in an
        object. It seems to always be a mistake, it's also a syntax error in
        strict mode.
        See http://jslinterrors.com/duplicate-key-a/
         */
        name: 'duplicate_key',
        level: 'error',
        message: 'Duplicate key defined in object or class',
        description: "Prevents defining duplicate keys in object literals and classes"
      }

tokens =

      ['IDENTIFIER', '{', '}']

## Instance Method Summary

- # (void) lintToken({type}, tokenApi)
- # (void) lintIdentifier(token, tokenApi)
- # (void) lintBrace(token)

## Constructor Details

# (void) constructor()

## Instance Method Details

# (void) lintToken({type}, tokenApi)

# (void) lintIdentifier(token, tokenApi)

# (void) lintBrace(token)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input